
enum{	/* ioctls */
	TIOCGWINSZ	= 0x5413,
	TIOCGPGRP	= 0x540f,
	TCGETS		= 0x5401,
	TCSETS		= 0x5402,
	TCSETSW		= 0x5403,
	TCSETSF		= 0x5404,

	TIOCSGGRP	= 0x540f,
	TIOCSPGRP	= 0x5410,
};

enum {
	NCCS		= 19,

	CS8		= 060,
	B38400		= 017,
	VINT		= 0,
	VERASE		= 2,
	VEOF		= 4,
	ICANON		= 02,
	ECHO		= 010,
	IUTF8		= 040000,
	CREAD		= 0200,
	ISIG		= 01,

	OPOST		= 1,
};

struct linux_termios {
        uint c_iflag;
        uint c_oflag;
        uint c_cflag;
        uint c_lflag;
        uchar c_line;
        uchar c_cc[NCCS];
};

